##############################################################################
# Fisher-Lee correlation coefficient for rotational dependence
##############################################################################

rFLCorrCoeff <- function(lcdat1, lcdat2) {
A <- sum(cos(lcdat1)*cos(lcdat2)) ;  B <- sum(sin(lcdat1)*sin(lcdat2))
C <- sum(cos(lcdat1)*sin(lcdat2)) ;  D <- sum(sin(lcdat1)*cos(lcdat2))
E <- sum(cos(2*lcdat1)) ; F <- sum(sin(2*lcdat1))
G <- sum(cos(2*lcdat2)) ; H <- sum(sin(2*lcdat2))
n <- length(lcdat1) ; denom <- sqrt(((n*n)-(E*E)-(F*F))*((n*n)-(G*G)-(H*H)))
rFL <- 4*((A*B)-(C*D))/denom ; return(rFL)
}

rFLIndTestRand <- function(lcdat1, lcdat2, NR) {
rFLObs <- rFLCorrCoeff(lcdat1, lcdat2) ; nxtrm <- 1
for (r in 1:NR) {
lcdat1Rand <- sample(lcdat1) ; rFLRand <- rFLCorrCoeff(lcdat1Rand, lcdat2)
if (abs(rFLRand) >= abs(rFLObs)) { nxtrm <- nxtrm + 1} }
pval <- nxtrm/(NR+1) ; return(c(rFLObs, pval))
}

theta <- theta1 
# theta <- theta2

n <- length(theta)
t1 <- theta[-n] ; t1l1 <- theta[-1]
rFLIndTestRand(t1, t1l1, 9999)

n <- length(t1)
t1 <- t1[-n] ; t1l2 <- t1l1[-1]
rFLIndTestRand(t1, t1l2, 9999)

n <- length(t1)
t1 <- t1[-n] ; t1l3 <- t1l2[-1]
rFLIndTestRand(t1, t1l3, 9999)

n <- length(t1)
t1 <- t1[-n] ; t1l4 <- t1l3[-1]
rFLIndTestRand(t1, t1l4, 9999)

n <- length(t1)
t1 <- t1[-n] ; t1l5 <- t1l4[-1]
rFLIndTestRand(t1, t1l5, 9999)

n <- length(t1)
t1 <- t1[-n] ; t1l6 <- t1l5[-1]
rFLIndTestRand(t1, t1l6, 9999)

n <- length(t1)
t1 <- t1[-n] ; t1l7 <- t1l6[-1]
rFLIndTestRand(t1, t1l7, 9999)

n <- length(t1)
t1 <- t1[-n] ; t1l8 <- t1l7[-1]
rFLIndTestRand(t1, t1l8, 9999)
